> ## Documentation Index
> Fetch the complete documentation index at: https://chargecloud.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves chargepoints

> Retrieves chargepoints. Required permission: assets:chargepoint:list



## OpenAPI

````yaml /api/core-api/crmiapi.json get /api/v1/assets/chargepoints
openapi: 3.1.1
info:
  title: chargecloud - Core API
  summary: chargecloud Core API. All around CRM, Asset Management and more.
  version: 1.113.1
  description: chargecloud Core API. All around CRM, Asset Management and more.
servers:
  - url: https://api.chargecloud.dev
    description: Production - chargecloud Core API
  - url: https://demo.chargecloud.de
    description: Sandbox/Dev - chargecloud Core API
security: []
paths:
  /api/v1/assets/chargepoints:
    get:
      tags:
        - ChargePoints
      summary: Retrieves chargepoints
      description: 'Retrieves chargepoints. Required permission: assets:chargepoint:list'
      operationId: /api/v1/assets/chargepoints_GET
      parameters:
        - name: station_id
          in: query
          description: ID of the Station
          schema:
            type: integer
            format: int32
            description: ID of the Station
        - name: controller_id
          in: query
          description: ID of the Controller
          schema:
            type: integer
            format: int32
            description: ID of the Controller
        - name: location_id
          in: query
          description: ID of the Location
          schema:
            type: integer
            format: int32
            description: ID of the Location
        - name: limit
          in: query
          description: Maximum number of items per page. Maximum value is 25.
          schema:
            type: integer
            format: int64
            minimum: 1
            maximum: 25
            description: Maximum number of items per page. Maximum value is 25.
            example: '10'
        - name: page
          in: query
          description: Page number to retrieve (starting from 1).
          schema:
            type: integer
            format: int64
            minimum: 1
            description: Page number to retrieve (starting from 1).
            example: '1'
      responses:
        '200':
          description: ChargePoint collection
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - chargepoints
                properties:
                  chargepoints:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          format: int32
                          minimum: 0
                          description: ChargePoint id
                        created_at:
                          type: string
                          format: date
                          pattern: ^\d{4}-\d{2}-\d{2}$
                          description: Date of creation
                        updated_at:
                          type: string
                          format: date
                          pattern: ^\d{4}-\d{2}-\d{2}$
                          description: Date of update
                        modification_date:
                          type: string
                          format: date
                          pattern: ^\d{4}-\d{2}-\d{2}$
                          description: Date of Modification
                        status_modified:
                          type: string
                          format: date
                          pattern: ^\d{4}-\d{2}-\d{2}$
                          description: Date of modification for the status
                        status:
                          type: string
                          enum:
                            - Available
                            - Reserved
                            - Occupied
                            - Faulted
                            - Unavailable
                            - Charging
                            - Finishing
                            - Preparing
                            - SuspendedEV
                            - SuspendedEVSE
                            - Undefined
                          description: Status
                        evse:
                          type: string
                          maxLength: 50
                          description: Evse
                        location_id:
                          type: integer
                          format: int32
                          minimum: 0
                          description: Location id
                        controller_id:
                          type: integer
                          format: int32
                          minimum: 0
                          description: Controller id
                        station_id:
                          type: integer
                          format: int32
                          minimum: 0
                          description: Station id
                        export:
                          type: boolean
                          default: true
                          description: Export
                        evse_id:
                          type: string
                          maxLength: 100
                          description: Evse Id
                        phase:
                          type: string
                          enum:
                            - ac
                            - dc
                          description: Phase
                        position:
                          type: string
                          maxLength: 255
                          description: Position
                        parking_space_numbers:
                          type: string
                          maxLength: 20
                          description: Parking space numbers
                        reserved_parking:
                          type: string
                          maxLength: 11
                          description: Reserved parking
                        access:
                          type: string
                          enum:
                            - private
                            - public
                            - parapublic
                            - carsharing
                            - employee
                            - homecharger
                            - fleet
                          description: Access
                        user:
                          type: string
                          maxLength: 100
                          description: User
                        name:
                          type: string
                          maxLength: 100
                          description: Name
                        connector_id:
                          type: integer
                          format: int32
                          minimum: 0
                          description: Connector id
                        sms_id:
                          type: integer
                          format: int32
                          description: Sms id
                        reservable:
                          type: boolean
                          default: false
                          description: Reservable
                        remote_stop_capable:
                          type: boolean
                          default: false
                          description: Remote stop capable
                        in_roaming:
                          type: boolean
                          default: false
                          description: In roaming
                        chargepoint_type:
                          type: string
                          enum:
                            - internal
                            - hubject
                            - ochp
                            - ocpi
                          description: Charge point type
                        adhoc_type:
                          type: string
                          enum:
                            - free
                            - none
                            - standard
                          description: Adhoc type
                        adhoc_sticker:
                          type: boolean
                          default: false
                          description: Adhoc sticker
                        serial_number:
                          type: integer
                          format: int32
                          description: Serial number
                        article_number:
                          type: integer
                          format: int32
                          description: Article number
                        parking_restrictions:
                          type: string
                          maxLength: 100
                          description: Parking restrictions
                        unlock_capable:
                          type: boolean
                          default: false
                          description: Unlock capable
                        public_comment:
                          type: string
                          maxLength: 255
                          description: Public comment
                      required:
                        - id
                        - created_at
                        - updated_at
                        - modification_date
                        - location_id
                        - controller_id
                        - station_id
                        - evse_id
                        - connector_id
                      description: ChargePoint
                    description: ChargePoints
                  pagination:
                    type: object
                    properties:
                      page:
                        type: integer
                        format: int64
                        description: Current page number (starting from 1).
                        example: '1'
                      total_pages:
                        type: integer
                        format: int64
                        description: Total number of available pages.
                        example: '5'
                      page_size:
                        type: integer
                        format: int64
                        description: Number of items returned per page.
                        example: '10'
                      has_more:
                        type: boolean
                        default: true
                        description: >-
                          Indicates whether more pages are available after the
                          current page.
                        example: 'true'
                    description: Pagination
        '401':
          description: Unauthorized
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
        '404':
          description: Not found
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
                  pagination:
                    type: object
                    properties:
                      page:
                        type: integer
                        format: int64
                        description: Current page number (starting from 1).
                        example: '1'
                      total_pages:
                        type: integer
                        format: int64
                        description: Total number of available pages.
                        example: '5'
                      page_size:
                        type: integer
                        format: int64
                        description: Number of items returned per page.
                        example: '10'
                      has_more:
                        type: boolean
                        default: true
                        description: >-
                          Indicates whether more pages are available after the
                          current page.
                        example: 'true'
                    description: Pagination
        '405':
          description: Method not allowed
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
        '422':
          description: Request validation failed
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - errors
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        errorKey:
                          type: string
                          description: A key identifying the error
                        message:
                          type: string
                          description: The error message
                        parameter:
                          type: string
                          description: The parameter that caused the error, if any
                      required:
                        - errorKey
                        - message
                        - parameter
                      description: Error
                    description: List of errors
        '429':
          description: Too many requests
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
      security:
        - bearer:
            - asset:chargepoint
components:
  headers:
    Content-Language:
      description: The locale of the response content (BCP 47 language tag).
      schema:
        type: string
        example: en
  securitySchemes:
    bearer:
      type: http
      description: OAuth2 Bearer Authorization
      scheme: bearer
      bearerFormat: JWT

````

## Related topics

- [Retrieves details for a chargepoint](/api-reference/chargepoints/retrieves-details-for-a-chargepoint.md)
- [Retrieves parking](/api-reference/parking/retrieves-parking.md)
- [Retrieves sensors](/api-reference/sensors/retrieves-sensors.md)
